GST Return Filing Status Check
Check whether a business has filed GST returns on time. Track GSTR-1, GSTR-3B, and other filing statuses by GSTIN.
curl -X GET "https://production.deepvue.tech/v1/verification/gstin/track-gstr?gstin_number=example_string&financial_year=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
-H "x-api-key: YOUR_API_KEY"
import requests
import json
url = "https://production.deepvue.tech/v1/verification/gstin/track-gstr?gstin_number=example_string&financial_year=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://production.deepvue.tech/v1/verification/gstin/track-gstr?gstin_number=example_string&financial_year=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)",
"x-api-key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://production.deepvue.tech/v1/verification/gstin/track-gstr?gstin_number=example_string&financial_year=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://production.deepvue.tech/v1/verification/gstin/track-gstr?gstin_number=example_string&financial_year=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
request['x-api-key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"code": 200,
"timestamp": 1738051954177,
"transaction_id": "09d1a4fd-be05-44f4-a4b6-6c14cf375d1f",
"sub_code": "SUCCESS",
"message": "GSTR Status Fetched Successfully.",
"data": {
"gstin": "29AAACT2727Q1ZS",
"filing_status": [
{
"return_type": "GSTR1",
"financial_year": "2024-2025",
"tax_period": "December",
"date_of_filing": "2025-01-11",
"status": "Filed",
"mode_of_filing": "ONLINE"
}
]
}
}
{
"code": 200,
"timestamp": 1738051954177,
"transaction_id": "09d1a4fd-be05-44f4-a4b6-6c14cf375d1f",
"data": {
"error_code": "NOGSTIN",
"message": "No records found"
}
}
{
"code": 200,
"timestamp": 1738051954177,
"transaction_id": "09d1a4fd-be05-44f4-a4b6-6c14cf375d1f",
"data": {
"error_code": "SWEB_9035",
"message": "Invalid GSTIN / UID"
}
}
{
"detail": "Inactive client_id"
}
{
"detail": "Bad Request"
}
{
"detail": "Not authenticated"
}
{
"detail": "Invalid client_id"
}
{
"detail": "Could not validate credentials"
}
{
"detail": "Authorization failure"
}
{
"detail": "Not a valid token"
}
{
"detail": "Access forbidden"
}
{
"code": 422,
"timestamp": 1738052019250,
"transaction_id": "4bb474ac-863b-4884-8a7f-b481a087047a",
"message": "Invalid GSTIN pattern"
}
{
"detail": "Internal Server Error"
}
/v1/verification/gstin/track-gstr
ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (JWT). ACCESS_TOKEN generated from the authorize endpoint. Should be included in the header as Bearer .
API Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
Query Parameters
Responses
Overview
The Track GST Return API enables businesses to monitor the filing status of Goods and Services Tax Returns (GSTRs) by accepting a GSTIN and financial year as inputs. The system then responds with comprehensive details about all GSTRs submitted by that entity during the specified period.
A GST entity periodically and rightly filing GSTRs is a positive indication about its business and compliance performance. Monitoring GSTR submission patterns provides meaningful insight into an organization's compliance posture.
The API returns filing information including return type designations, associated tax periods, filing dates, current status (such as Filed or Pending), and the submission method employed.
One Access Token will be valid for only 24 hours. After 24 hours, you can renew the token by using the Authorize Endpoint.
Last updated 4 weeks ago
Built with Documentation.AI